Create transaction items
curl --request POST \
--url https://api.projectcor.com/v1/transaction/{transaction_id}/transactionItems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"amount": 123,
"status": "<string>",
"transaction_id": 123,
"company_id": 123,
"client_id": 123,
"project_id": 123,
"can_update": true,
"can_delete": true,
"integrated": true
}
'import requests
url = "https://api.projectcor.com/v1/transaction/{transaction_id}/transactionItems"
payload = {
"description": "<string>",
"amount": 123,
"status": "<string>",
"transaction_id": 123,
"company_id": 123,
"client_id": 123,
"project_id": 123,
"can_update": True,
"can_delete": True,
"integrated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
amount: 123,
status: '<string>',
transaction_id: 123,
company_id: 123,
client_id: 123,
project_id: 123,
can_update: true,
can_delete: true,
integrated: true
})
};
fetch('https://api.projectcor.com/v1/transaction/{transaction_id}/transactionItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/transaction/{transaction_id}/transactionItems';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
amount: 123,
status: '<string>',
transaction_id: 123,
company_id: 123,
client_id: 123,
project_id: 123,
can_update: true,
can_delete: true,
integrated: true
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/transaction/{transaction_id}/transactionItems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'amount' => 123,
'status' => '<string>',
'transaction_id' => 123,
'company_id' => 123,
'client_id' => 123,
'project_id' => 123,
'can_update' => true,
'can_delete' => true,
'integrated' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/transaction/{transaction_id}/transactionItems"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"amount\": 123,\n \"status\": \"<string>\",\n \"transaction_id\": 123,\n \"company_id\": 123,\n \"client_id\": 123,\n \"project_id\": 123,\n \"can_update\": true,\n \"can_delete\": true,\n \"integrated\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"description": "<string>",
"client_id": 123,
"project_id": 123,
"amount": 123,
"status": "<string>",
"transaction_id": 123,
"company_id": 123
}Transaction Items
Create transaction items
POST
/
transaction
/
{transaction_id}
/
transactionItems
Create transaction items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Description
Amount
Status
Transaction ID
Company ID
Client ID
Project ID
Can update
Can delete
Integrated
Was this page helpful?
⌘I

